POSTfee

XRP Ledger Mainnethttps://xrpl-mainnet.nodit.io/

Returns the transaction cost requirements of the open ledger. It lets you check the reference cost, the median and the queueing cost in both drops and fee levels.

Request Body
methodstringrequired
paramsobject[]required

This method takes no parameters. Pass an empty array.

Responses
current_ledger_sizestring

The number of transactions provisionally included in the in-progress ledger.

current_queue_sizestring

The number of transactions queued for the next ledger version.

base_feestring

The cost required for a reference transaction to be included in a ledger under minimum load.

median_feestring

An approximation of the median transaction cost from the previous validated ledger version.

minimum_feestring

The minimum cost for a reference transaction to be queued for a later ledger version.

open_ledger_feestring

The minimum cost for a reference transaction to be included in the current open ledger.

expected_ledger_sizestring

The transaction count anticipated based on the previous ledger version.

ledger_current_indexinteger

The ledger index of the current open ledger.

median_levelstring

The median cost of the previous ledger version expressed in fee levels.

minimum_levelstring

The minimum cost to be queued expressed in fee levels.

open_ledger_levelstring

The minimum cost for inclusion in the current ledger expressed in fee levels.

reference_levelstring

The fee level equivalent to the minimum cost of a reference transaction.

max_queue_sizestring

The maximum capacity of the transaction queue.

X-API-KEY
RequestCU10
cURL
curl -X POST "https://xrpl-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "method": "fee",
  "params": []
}'
Response
Example · 200
{
  "result": {
    "current_ledger_size": "14",
    "current_queue_size": "0",
    "drops": {
      "base_fee": "10",
      "median_fee": "11000",
      "minimum_fee": "10",
      "open_ledger_fee": "10"
    },
    "expected_ledger_size": "24",
    "ledger_current_index": 26575101,
    "levels": {
      "median_level": "281600",
      "minimum_level": "256",
      "open_ledger_level": "256",
      "reference_level": "256"
    },
    "max_queue_size": "480"
  }
}